# Start-DbcPowerBi

## SYNOPSIS
Launches the included dbachecks Power BI dashboard.
**You will need refresh* the Power BI dashboard every time to see the new results.

## SYNTAX

```
Start-DbcPowerBi [[-Path] <String>] [-EnableException] [<CommonParameters>]
```

## DESCRIPTION
Launches the included dbachecks Power BI dashboard.
**You will need refresh* the Power BI dashboard every time to see the new results.

## EXAMPLES

### EXAMPLE 1
```
Start-DbcPowerBi
```

Launches PowerBi from "$script:ModuleRoot\bin\dbachecks.pbix" using "C:\windows\Temp\dbachecks\*.json" (generated by Update-DbcPowerBiDataSource) as the datasource.

### EXAMPLE 2
```
Start-DbcPowerBi -Path \\nas\projects\dbachecks.pbix
```

Launches \\\\nas\projects\dbachecks.pbix using "C:\windows\Temp\dbachecks\*.json" as the datasource

## PARAMETERS

### -Path
The location of the pbix file.
"$script:ModuleRoot\bin\dbachecks.pbix" by default.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: 1
Default value: "$script:ModuleRoot\bin\dbachecks.pbix"
Accept pipeline input: False
Accept wildcard characters: False
```

### -EnableException
By default, when something goes wrong we try to catch it, interpret it and give you a friendly warning message.
This avoids overwhelming you with "sea of red" exceptions, but is inconvenient because it basically disables advanced scripting.
Using this switch turns this "nice by default" feature off and enables you to catch exceptions with your own try/catch.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: False
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters
This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutVariable, -OutBuffer, -PipelineVariable, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216).

## INPUTS

## OUTPUTS

## NOTES

## RELATED LINKS

[https://dbachecks.readthedocs.io/en/latest/functions/Start-DbcPowerBi/](https://dbachecks.readthedocs.io/en/latest/functions/Start-DbcPowerBi/)

